package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrfileinfo.AddOcrFileInfoDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.EditOcrFileInfoDTO;
import com.docus.server.entity.segmentation.OcrFileInfo;
import com.docus.server.vo.segmentation.ocrfileinfo.OcrFileInfoVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* ocr文件信息 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrFileInfoConvert {

    OcrFileInfoConvert INSTANCE = Mappers.getMapper(OcrFileInfoConvert.class);

    @Mappings({})
    OcrFileInfo convertDO(AddOcrFileInfoDTO addOcrFileInfoDTO);

    @Mappings({})
    OcrFileInfo convertDO(EditOcrFileInfoDTO editOcrFileInfoDTO);

    @Mappings({})
    List<OcrFileInfo> convertAddDOList(List<AddOcrFileInfoDTO> addOcrFileInfoDTO);

    @Mappings({})
    List<OcrFileInfo> convertEditDOList(List<EditOcrFileInfoDTO> editOcrFileInfoDTO);

    @Mappings({})
    OcrFileInfoVO convertVO(OcrFileInfo ocrFileInfo);

    @Mappings({})
    List<OcrFileInfoVO> convertVO(List<OcrFileInfo> ocrFileInfoList);

    @Mappings({})
    PageResult<OcrFileInfoVO> convertVO(PageResult<OcrFileInfo> pageResult);
    @Mappings({})
    List<OcrFileInfo> convertDO(List<AddOcrFileInfoDTO> files);

}

